# Uses of Class
java.lang.NegativeArraySizeException

Packages that use NegativeArraySizeException
Package
Description
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.

## Uses of NegativeArraySizeException in java.lang.reflect

Methods in java.lang.reflect that throw NegativeArraySizeException
Modifier and Type
Method
Description
`static Object`
Array.`newInstance​(Class<?> componentType, int length)`
Creates a new array with the specified component type and length.
`static Object`
Array.`newInstance​(Class<?> componentType, int... dimensions)`
Creates a new array with the specified component type and dimensions.